/**
 * PostalAddressUse.java
 *
 * File generated from the medication::PostalAddressUse uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration PostalAddressUse.
 *
 * 
 */

@XmlType(name = "PostalAddressUse")
@XmlEnum
@XmlRootElement(name = "PostalAddressUse")
public enum PostalAddressUse {
	@XmlEnumValue("PHYS")
	PHYS("PHYS"),
	@XmlEnumValue("PST")
	PST("PST"),
	@XmlEnumValue("ABC")
	ABC("ABC"),
	@XmlEnumValue("IDE")
	IDE("IDE"),
	@XmlEnumValue("SYL")
	SYL("SYL"),
	@XmlEnumValue("BAD")
	BAD("BAD"),
	@XmlEnumValue("TMP")
	TMP("TMP"),
	@XmlEnumValue("H")
	H("H"),
	@XmlEnumValue("HP")
	HP("HP"),
	@XmlEnumValue("HV")
	HV("HV"),
	@XmlEnumValue("WP")
	WP("WP"),
	@XmlEnumValue("DIR")
	DIR("DIR"),
	@XmlEnumValue("PUB")
	PUB("PUB");
	
	private final String value;

    PostalAddressUse(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static PostalAddressUse fromValue(String v) {
        for (PostalAddressUse c: PostalAddressUse.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}